Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/dovecot-pigeonhole-plugin-extdata: new aport

From: Pierre Jaury <pierre_at_jaury.eu>
Date: Fri, 29 Apr 2016 19:33:12 +0200

http://wiki2.dovecot.org/Pigeonhole/Sieve/Plugins/Extdata
Pigeonhole Sieve Extdata Plugin
---
 testing/dovecot-pigeonhole-plugin-extdata/APKBUILD | 45 ++++++++++++++++++++++
 1 file changed, 45 insertions(+)
 create mode 100644 testing/dovecot-pigeonhole-plugin-extdata/APKBUILD
diff --git a/testing/dovecot-pigeonhole-plugin-extdata/APKBUILD b/testing/dovecot-pigeonhole-plugin-extdata/APKBUILD
new file mode 100644
index 0000000..99d29a4
--- /dev/null
+++ b/testing/dovecot-pigeonhole-plugin-extdata/APKBUILD
_at_@ -0,0 +1,45 @@
+# Contributor:
+# Maintainer: Pierre Jaury <pierre_at_jaury.eu>
+pkgname=dovecot-pigeonhole-plugin-extdata
+pkgver=39
+pkgrel=0
+pkgdesc="Pigeonhole Sieve Extdata Plugin"
+url="http://wiki2.dovecot.org/Pigeonhole/Sieve/Plugins/Extdata"
+arch="all"
+license="LGPL2+"
+depends="dovecot-pigeonhole-plugin"
+depends_dev="dovecot-pigeonhole-plugin-dev autoconf automake libtool mercurial"
+makedepends="$depends_dev"
+install=""
+subpackages=""
+source=""
+
+_hgroot="http://hg.rename-it.nl/pigeonhole-0.4-sieve-extdata"
+_hgrepo="pigeonhole-0.4-sieve-extdata"
+_builddir="$srcdir/$_hgrepo"
+
+prepare() {
+	cd "$srcdir"
+	msg "Connecting to Mercurial server..."
+	if [ -d "$_hgrepo" ]; then
+		cd "$_hgrepo"
+		hg pull -r $pkgver -u
+		msg "The local files are updated."
+	else
+		hg clone -r $pkgver "$_hgroot" "$_hgrepo"
+	fi
+}
+
+build() {
+	cd "$_builddir"
+	./autogen.sh
+	./configure --prefix=/usr || return 1
+	make || return 1
+
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
-- 
2.6.6
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Fri Apr 29 2016 - 19:33:12 GMT